'use strict';

function toggleTheme(){
    if (localStorage && localStorage.getItem("theme") === "dark"){
        localStorage.setItem("theme", "default");
    } else if (localStorage){
        localStorage.setItem("theme", "dark");
    }
    checkTheme();
}

function checkTheme(){
    if (localStorage && localStorage.getItem("theme") === "dark"){
        document.body.className = "body dark";
    } else if (localStorage){
        document.body.className = "body";
    }
}

function checkToggleAllowed(){
    if(window.matchMedia("(prefers-color-scheme: dark)").matches || window.matchMedia("(prefers-color-scheme: light)").matches){
        document.getElementById("theme-toggle").remove();
    } else {
        checkTheme();
    }
}

checkToggleAllowed();